Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.xsl.process
Class NumberTemplate.ParsedFormat

    java.lang.Object
      com.novell.xsl.process.NumberTemplate.ParsedFormat

Enclosing class:
  NumberTemplate

    protected static final class NumberTemplate.ParsedFormat

extends Object

A class representing a parsed number format string.

Constructor Summary
`NumberTemplate.ParsedFormat(String format, String lang, String letterValue)` Constructs a new parsed format by parsing the specified number format string.

Method Summary
`void` | `dump(PrintWriter out, int indent)` Dumps this object to the specified output stream.
`void` | `formatEnd(ResultHandler result)` Sends this parsed format's end token to the specified result handler.
`void` | `formatNumber(int number, int index, String digitGroupSep, int digitsPerGroup, ResultHandler result)` Formats the specified number and sends the result to the specified result handler.
`void` | `formatStart(ResultHandler result)` Sends this parsed format's start token to the specified result handler.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NumberTemplate.ParsedFormat

    public NumberTemplate.ParsedFormat(String format,
                                       String lang,
                                       String letterValue)
                                throws XSLException

  Constructs a new parsed format by parsing the specified number format string.

  Parameters:
    `format` - the format string to be parsed
    `lang` - the language to use for alphabetic sequences; `null` means determine the language from the system environment
    `letterValue` - disambiguates between numbering schemes that use letters; must be `"alphabetic"`, `"traditional"`, or `null`
  Throws:
    `XSLException` - if a fatal error occurs during parsing

Method Detail

### formatStart

    public void formatStart(ResultHandler result)
                     throws IllegalNodeException,
                            ResultException

  Sends this parsed format's start token to the specified result handler.

  Parameters:
    `result` - the handler to which results are sent
  Throws:
    `IllegalNodeException` - if the current node cannot contain character data
    `ResultException` - if an implementation-dependent error occurs

### formatNumber

    public void formatNumber(int number,
                             int index,
                             String digitGroupSep,
                             int digitsPerGroup,
                             ResultHandler result)
                      throws IllegalNodeException,
                             ResultException

  Formats the specified number and sends the result to the specified result handler.

  Parameters:
    `number` - the number to be formatted
    `index` - the number's index, starting with 0 (for `level="multi"`)
    `digitGroupSep` - the digit group separator to use, or `null` if there are no digit group separators
    `digitsPerGroup` - the number of digits per group, or `null` if there are no digit group separators
    `result` - the handler to which results are sent
  Throws:
    `IllegalNodeException` - if the current node cannot contain character data
    `ResultException` - if an implementation-dependent error occurs

### formatEnd

    public void formatEnd(ResultHandler result)
                   throws IllegalNodeException,
                          ResultException

  Sends this parsed format's end token to the specified result handler.

  Parameters:
    `result` - the handler to which results are sent
  Throws:
    `IllegalNodeException` - if the current node cannot contain character data
    `ResultException` - if an implementation-dependent error occurs

### dump

    public void dump(PrintWriter out,
                     int indent)

  Dumps this object to the specified output stream.

  Parameters:
    `out` - the output stream to write to
    `indent` - number of tabs to indent

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD